Bitcoin Weekly Price Performance

Weekly fluctuations in bitcoin's historical prices

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/metrics/weekly-price-performance/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each metric is fetched independently. Responses are trimmed samples to show structure.

1 metrics
Metric

Btc Weekly Performance

Data used by the Weekly Price Performance chart.

Endpoint
https://newhedge.io/api/v2/metrics/weekly-price-performance/btc_weekly_performance?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1781913600000,
    -3.059021547779169,
    64229.68
  ],
  [
    1782518400000,
    -6.219165284940949,
    59970.79
  ],
  [
    1783036800000,
    3.958576841671224,
    62525.99
  ]
]